org.jboss.jca.embedded.dsl.resourceadapters10.api

## Interface ResourceAdaptersDescriptor

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<ResourceAdaptersDescriptor>

      public interface ResourceAdaptersDescriptor
      extends org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<ResourceAdaptersDescriptor>

  This deployment descriptor provides the functionalities as described in the specification

  Example:

  `ResourceAdaptersDescriptor descriptor = Descriptors.create(ResourceAdaptersDescriptor.class);`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceAdapterType<ResourceAdaptersDescriptor>` | `createResourceAdapter()` Creates a new `resource-adapter` element
    `java.util.List<ResourceAdapterType<ResourceAdaptersDescriptor>>` | `getAllResourceAdapter()` Returns all `resource-adapter` elements
    `ResourceAdapterType<ResourceAdaptersDescriptor>` | `getOrCreateResourceAdapter()` If not already created, a new `resource-adapter` element will be created and returned.
    `ResourceAdaptersDescriptor` | `removeAllResourceAdapter()` Removes all `resource-adapter` elements

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Descriptor

      `exportAsString, exportTo, getDescriptorName`

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace

      `addDefaultNamespaces, addNamespace, getNamespaces, removeAllNamespaces`

- - ### Method Detail

    - #### getOrCreateResourceAdapter

          ResourceAdapterType<ResourceAdaptersDescriptor> getOrCreateResourceAdapter()

      If not already created, a new `resource-adapter` element will be created and returned. Otherwise, the first existing `resource-adapter` element will be returned.
      Returns:
        the instance defined for the element `resource-adapter`

    - #### createResourceAdapter

          ResourceAdapterType<ResourceAdaptersDescriptor> createResourceAdapter()

      Creates a new `resource-adapter` element
      Returns:
        the new created instance of `ResourceAdapterType`

    - #### getAllResourceAdapter

          java.util.List<ResourceAdapterType<ResourceAdaptersDescriptor>> getAllResourceAdapter()

      Returns all `resource-adapter` elements
      Returns:
        list of `resource-adapter`

    - #### removeAllResourceAdapter

          ResourceAdaptersDescriptor removeAllResourceAdapter()

      Removes all `resource-adapter` elements
      Returns:
        the current instance of `ResourceAdapterType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)